View Issue Details

IDProjectCategoryView StatusLast Update
0032328CommunityOCCT:Codingpublic2021-09-11 14:06
Reportermayer Assigned Tosmoskvin  
PrioritynormalSeveritytrivial 
Status closedResolutionfixed 
Product Version7.6.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032328: Missing include of TopoDS_Edge.hxx in ShapeUpgrade_UnifySameDomain.hxx
DescriptionWhen using ShapeUpgrade_UnifySameDomain.hxx in client code without having included TopoDS_Edge.hxx results into a build failure because in commit https://git.dev.opencascade.org/gitweb/?p=occt.git;a=commitdiff;h=0c2517292fef234d6399aeb4e587e94045b2f305;hp=b8ef513c8f7c78c9a46d62126ff549121cf07caf a new struct below has been added:
[code]
struct SubSequenceOfEdges
{
  TopTools_SequenceOfShape SeqsEdges;
  TopoDS_Edge UnionEdges;
};
[/code]

This happens with the recently released version 7.5.2 (which is not yet offered in the list of product versions)
TagsNo tags attached.
Test case numberNot required

Attached Files

  • 0001-0032328-Missing-include-of-TopoDS_Edge.hxx-in-ShapeU.patch (2,429 bytes)

Activities

StefanBruens

2021-09-06 02:34

reporter  

0001-0032328-Missing-include-of-TopoDS_Edge.hxx-in-ShapeU.patch (2,429 bytes)

git

2021-09-06 10:36

administrator   ~0103847

Branch CR32328 has been created by kgv.

SHA-1: 80fbdffa999b7adb383740c4b09086f4d2f45809


Detailed log of new commits:

Author: kgv
Date: Mon Sep 6 10:36:38 2021 +0300

    0032328: Missing include of TopoDS_Edge.hxx in ShapeUpgrade_UnifySameDomain.hxx

git

2021-09-06 10:40

administrator   ~0103848

Branch CR32328 has been updated forcibly by kgv.

SHA-1: 707ac543f92c6c6f29cf4a7781b67086bcdd521d

kgv

2021-09-06 13:59

developer   ~0103863

Patch is ready for review
- OCCT: branch CR32328.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32328-master-KGV/view/OCCT%20compile/

msv

2021-09-06 17:08

developer   ~0103872

Why the static function GenerateSubSeq is made a class method? There are many static functions in this cxx file, and why this one is an exception?

kgv

2021-09-06 17:22

developer   ~0103873

Because it takes "SubSequenceOfEdges" as argument, and making SubSequenceOfEdges a globally defined structure as before is prohibited by coding style.

msv

2021-09-06 21:14

developer   ~0103879

Why not to define SubSequenceOfEdges in unnamed namespace, as we do with static functions?

msv

2021-09-07 15:04

developer   ~0103893

For integration:
occt - CR32328
products - none

git

2021-09-08 12:58

administrator   ~0103921

Branch CR32328_test has been created by kgv.

SHA-1: 5f363a6650ecaad734491e6f5755ed94cfccbf17


Detailed log of new commits:

Author: kgv
Date: Wed Sep 8 12:58:20 2021 +0300

    # test stack trace

smoskvin

2021-09-11 13:24

administrator   ~0104003

Combination -
OCCT branch : IR-2021-09-10
master SHA - 9ae883970dd77a39d856b49e6883ed5d0e60d20f
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-09-10 SHA - 2d2bc879e2da9d770a1938ab3410f5885c8555e7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17358.54000000042 / 17496.500000000422 [-0.79%]
Products
Total CPU difference: 11397.800000000112 / 11567.680000000111 [-1.47%]
Windows-64-VC14:
OCCT
Total CPU difference: 19328.109375 / 19307.609375 [+0.11%]
Products
Total CPU difference: 12733.328125 / 12920.953125 [-1.45%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-09-11 14:06

administrator   ~0104038

Branch CR32328 has been deleted by mnt.

SHA-1: 707ac543f92c6c6f29cf4a7781b67086bcdd521d

git

2021-09-11 14:06

administrator   ~0104039

Branch CR32328_test has been deleted by mnt.

SHA-1: 5f363a6650ecaad734491e6f5755ed94cfccbf17

Related Changesets

occt: master 5e763282

2021-09-06 07:36:38

kgv


Committer: smoskvin Details Diff
0032328: Missing include of TopoDS_Edge.hxx in ShapeUpgrade_UnifySameDomain.hxx Affected Issues
0032328
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.cxx Diff File
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.hxx Diff File

Issue History

Date Modified Username Field Change
2021-04-26 09:30 mayer New Issue
2021-04-26 09:30 mayer Assigned To => msv
2021-09-06 02:34 StefanBruens File Added: 0001-0032328-Missing-include-of-TopoDS_Edge.hxx-in-ShapeU.patch
2021-09-06 10:26 kgv Severity minor => trivial
2021-09-06 10:26 kgv Category OCCT:Modeling Algorithms => OCCT:Coding
2021-09-06 10:26 kgv Product Version => 7.6.0
2021-09-06 10:26 kgv Target Version => 7.6.0
2021-09-06 10:36 git Note Added: 0103847
2021-09-06 10:40 git Note Added: 0103848
2021-09-06 13:59 kgv Note Added: 0103863
2021-09-06 13:59 kgv Status new => resolved
2021-09-06 17:08 msv Note Added: 0103872
2021-09-06 17:08 msv Assigned To msv => kgv
2021-09-06 17:08 msv Status resolved => assigned
2021-09-06 17:22 kgv Note Added: 0103873
2021-09-06 18:11 kgv Assigned To kgv => msv
2021-09-06 18:11 kgv Status assigned => feedback
2021-09-06 21:14 msv Note Added: 0103879
2021-09-07 15:04 msv Note Added: 0103893
2021-09-07 15:04 msv Assigned To msv => bugmaster
2021-09-07 15:04 msv Status feedback => reviewed
2021-09-08 12:58 git Note Added: 0103921
2021-09-11 13:24 smoskvin Note Added: 0104003
2021-09-11 13:24 smoskvin Status reviewed => tested
2021-09-11 13:32 smoskvin Test case number => Not required
2021-09-11 13:43 smoskvin Changeset attached => occt master 5e763282
2021-09-11 13:43 smoskvin Assigned To bugmaster => smoskvin
2021-09-11 13:43 smoskvin Status tested => verified
2021-09-11 13:43 smoskvin Resolution open => fixed
2021-09-11 14:06 git Note Added: 0104038
2021-09-11 14:06 git Note Added: 0104039